Bug 18886 - RenderLayer::shouldBeOverflowOnly() should look for transforms
Summary: RenderLayer::shouldBeOverflowOnly() should look for transforms
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P2 Normal
Assignee: Simon Fraser (smfr)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-04 11:54 PDT by Simon Fraser (smfr)
Modified: 2008-07-11 10:58 PDT (History)
1 user (show)

See Also:


Attachments
Testcase (555 bytes, text/html)
2008-07-09 17:56 PDT, Simon Fraser (smfr)
no flags Details
Patch (508 bytes, patch)
2008-07-09 17:57 PDT, Simon Fraser (smfr)
hyatt: review+
Details | Formatted Diff | Diff
Final patch with changelog and testcase (3.42 KB, patch)
2008-07-10 10:58 PDT, Simon Fraser (smfr)
simon.fraser: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Fraser (smfr) 2008-05-04 11:54:48 PDT
RenderLayer::shouldBeOverflowOnly() decides if a layer is an overflow-only layer (just used for clipping, and not a parent of other RenderLayers). It currently does not look for transforms, which create stacking context and behave like position:relative. I think it should.
Comment 1 Dave Hyatt 2008-07-09 17:45:01 PDT
<body style="margin:0">
<div style="position:absolute; background-color:red; z-index:0; left: 50px; top:50px; width:100px;height:100px"></div>
<div style="overflow:auto; -webkit-transform: scale(0.5); background-color:green; z-index:0; width:200px; height:200px"></div>
Comment 2 Dave Hyatt 2008-07-09 17:47:40 PDT
I think that might be a valid test case, but not 100% sure.  Would have to think about it some more.

Comment 3 Simon Fraser (smfr) 2008-07-09 17:56:37 PDT
Created attachment 22194 [details]
Testcase
Comment 4 Simon Fraser (smfr) 2008-07-09 17:57:41 PDT
Created attachment 22195 [details]
Patch
Comment 5 Dave Hyatt 2008-07-09 18:02:40 PDT
Comment on attachment 22195 [details]
Patch

r=me, but need a ChangeLog and the test case included in LayoutTests to land.
Comment 6 Simon Fraser (smfr) 2008-07-10 10:58:47 PDT
Created attachment 22200 [details]
Final patch with changelog and testcase
Comment 7 Simon Fraser (smfr) 2008-07-10 11:07:58 PDT
Comment on attachment 22200 [details]
Final patch with changelog and testcase

Transferring r= from hyatt
Comment 8 Dean Jackson 2008-07-10 12:15:47 PDT
Committed r35100
Comment 9 Simon Fraser (smfr) 2008-07-10 13:48:26 PDT
Committed by dino in r35100